.ensModalBackdrop {
    background-color: #000;
    background-color: rgba(0, 0, 0, .4);
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10001;
    width: 100%;
}

#ensModalWrapper {
    background-color: #fff;
    box-shadow: 0 16px 28px 0 rgba(0,0,0,0.22), 0 25px 55px 0 rgba(0,0,0,0.21);
    border-radius: 4px;
    max-height: 85%;
    margin-left: -325px;
    margin-bottom: 50px;
    overflow: auto;
    overflow-x: hidden;
    position: fixed;
    top: 50px !important;
    left: 50% !important;
    transform: translateX(-50%) !important;
    z-index: 10002;
    width: 650px;
    min-width: 650px;
    max-width: 80%;
    box-sizing: border-box;
    font-family: 'AudiTypeScreen', Verdana, Geneva, sans-serif !important;
    border: none;
    padding: 0;
    margin: 0;
}

@media (max-width: 767px) {
    #ensModalWrapper {
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
        box-shadow: none;
        max-height: 78%;
        height: auto !important;
        margin-left: 0;
        margin-bottom: 0;
        overflow-y: auto;
        position: fixed;
        top: 22% !important;
        left: 0 !important;
        transform: translateX(0%) !important;
        right: 0;
        bottom: 0 !important;
        width: auto;
        min-width: 0;
        max-width: 100%;
    }
}

#ensModalWrapper * {
    -webkit-box-sizing: inherit;
    box-sizing: inherit;
}

#ensModalWrapper .ensModal {
    font-size: 18px;
    color: #333;
    overflow: hidden;
    overflow-y: auto;
    padding: 20px 40px 0;
    position: relative;
    width: 100%;
}

@media (max-width: 767px) {
    #ensModalWrapper .ensModal {
        max-height: 100% !important;
        padding: 20px 20px 0;
        position: relative;
        width: 100%;
    }
}

#ensModalWrapper .ensModal .ensTitle {
    align-items: center;
    color: #1f1f1f;
    display: flex;
    font-size: 18px;
    font-weight: 500;
    justify-content: center;
    padding: 0 0 10px 0;
    position: relative;
    top: 0;
    left: 0;
    text-align: center;
    width: 100%;
}

#ensModalWrapper .ensModal .icon {
    margin-right: 20px;
    position: relative;
    top: -3px;
}

#ensModalWrapper .ensModal .ensTitleText {
    font-size: 18px;
    text-align: left;
}

#ensModalWrapper .consentDescription {
    color: #1f1f1f;
    font-size: 14px;
    line-height: 1.7;
    margin: 0 0 20px;
}

#ensModalWrapper a {
    color: #000;
    text-decoration: underline;
}

#ensModalWrapper hr {
    display: none;
}

#ensModalWrapper .ensButtons {
    float: none;
    margin-top: 15px;
    padding: 0 20px 20px;
}

@media (max-width: 767px) {
    #ensModalWrapper .ensButtons {
        background: linear-gradient(transparent 0, #fff 45px);
        display: block;
        clear: none;
        float: none;
        margin: 0;
        padding: 50px 10px 0;
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        z-index: 10003;
        text-align: center;
    }
}

#ensModalWrapper .ensButtons .button {
    align-items: center;
    background: none;
    background-color: #fff;
    border: 1px solid #000;
    border-radius: 0;
    box-shadow: none;
    color: #000;
    cursor: pointer;
    display: inline-block;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    height: auto;
    justify-content: center;
    line-height: 26px;
    margin: 10px 0px;
    padding: 15px 30px;
    position: relative;
    text-align: center;
    width: 100%;
    -webkit-transition: border-color .3s,background-color .3s ease-in-out,color .3s ease-in-out,opacity .3s ease-in-out;
    -o-transition: border-color .3s,background-color .3s ease-in-out,color .3s ease-in-out,opacity .3s ease-in-out;
    transition: border-color .3s,background-color .3s ease-in-out,color .3s ease-in-out,opacity .3s ease-in-out;
    white-space: nowrap;
    min-width: 240px;
}

#ensModalWrapper .ensButtons .button:hover {
    opacity: .7;
}

#ensModalWrapper .ensButtons #ensAccept {
    background-color: #000;
    color: #fff;
}

#ensModalWrapper .ensToggleRowWrapper {
    max-height: 100%;
    overflow: auto;
}

@media (max-width: 767px) {
    #ensModalWrapper .ensToggleRowWrapper {
        height: 100%;
        overflow: visible;
        padding-bottom: 170px;
    }
}

#ensModalWrapper .ensToggleRow {
    border-color: #ddd;
    border-style: solid;
    border-width: 1px 0 0 0;
    margin-bottom: 20px;
    opacity: 1 !important;
    padding-top: 15px;
    text-align: left;
}

#ensModalWrapper .ensToggleLabel {
    cursor: pointer;
    display: block;
    font-size: 16px;
    font-weight: 500;
    line-height: 30px;
    padding-top: 2px;
}

#ensModalWrapper .ensToggleRow:first-child .card {
    display: none;
}

#ensModalWrapper .card {
    float: right;
    height: 20px;
    margin: 5px;
    overflow: visible;
    outline: none !important;
    position: relative;
    text-align: center;
    width: 50px;
}

#ensModalWrapper .ensToggleRow:first-child .description {
    padding-right: 0 !important;
}

#ensModalWrapper .description {
    clear: both;
    color: #1f1f1f;
    font-size: 13px;
    line-height: 1.7;
    margin-top: 0;
    padding-right: 70px;
    max-width: 600px;
}

#ensModalWrapper .ensCheckbox {
    display: none;
}

.ensModal input[type="checkbox"] {
    position: absolute !important;
    height: 1px;
    width: 1px;
    overflow: hidden;
    clip: rect(1px, 1px, 1px, 1px);
    white-space: nowrap;
}

#ensModalWrapper .ensModal .switch {
    background-color: #bbb;
    border-radius: 10px;
    display: block;
    height: 15px;
    margin-left: -1px;
    position: absolute;
    top: 0;
    width: 50px;
}

#ensModalWrapper .ensToggleRow .toggle {
    background-color: #fff;
    border-radius: 50%;
    box-shadow: 1px 1px 7px #808080;
    display: block;
    height: 25px;
    position: absolute;
    top: -5px;
    left: -2px;
    transition: .5s;
    width: 25px;
}

#ensModalWrapper .ensModal input[type='checkbox']:checked ~ .switch {
    background: #000 !important;
    transition: .5s;
}

#ensModalWrapper .ensModal input[type='checkbox']:checked ~ .toggle {
    left: 25px;
}
